# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "ata_generic" "ehci_pci" "ahci" "usb_storage" "usbhid" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "froutix-main/rootfs";
      fsType = "zfs";
    };

  fileSystems."/nix" =
    { device = "froutix-main/store";
      fsType = "zfs";
    };

  fileSystems."/boot" =
    { device = "froutix-boot/boot";
      fsType = "zfs";
    };

  fileSystems."/srv/kvm/froutix-cold/lebib.org" =
    { device = "froutix-cold/KVM/lebib.org";
      fsType = "zfs";
    };

  fileSystems."/srv/kvm/froutix-main/lebib.org" =
    { device = "froutix-main/KVM/lebib.org";
      fsType = "zfs";
    };

  swapDevices = [ ];

}
